/*
 * CTU Open 2013
 * HES
 */
package template;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.util.StringTokenizer;

/**
 *
 * @author cteam007
 */
public class Fl {

    StringTokenizer st = new StringTokenizer("");
    BufferedReader input = new BufferedReader(new InputStreamReader(System.in));

    void useLine(String s) {
        st = new StringTokenizer(s);
    }

    String nextToken() throws Exception {
        while (!st.hasMoreTokens()) {
            st = new StringTokenizer(input.readLine());
        }
        return st.nextToken();
    }

    int nextInt() throws Exception {
        return Integer.parseInt(nextToken());
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws Exception {
        Fl instance = new Fl();
        while (instance.run()) {
        }
    }

    boolean run() throws Exception {
        String in = input.readLine();
        if (in == null) {
            return false;
        }

        useLine(in);
        
        
        String fraction = nextToken();
        
        int n = Integer.parseInt(fraction.substring(2, fraction.length()));
        int c = 1;
        
        for(int i = n+1; i < 2*n; i++){
            if((n*i)%(i-n) == 0 ){
                c++;
            }
        }
        
        System.out.println(c);
        
        return true;
    }
}
